package jargon;

/**
 * The Dummy operator produces a dummy Jlcm object containing a single key
 * maned <tt>"key"</tt> and containing a float number equal to <tt>1.0f</tt>.
 * This operator is used for debugging purposes.
 * <P>
 * <B>Author:</B> Alain Hebert, Ecole Polytechnique de Montreal (2002)
 *
 * @author Alain Hebert
 */
public class Dummy extends Operator {
  static {
    System.out.println("Dummy class loaded");
  }
  static String fr = "definition d'une classe operateur bidon";
  static String en = "definition of a dummy operator class";
  private static final long serialVersionUID = 100L;
  /** 
   * Use this constructor to create a new Dummy object.
   */
  public Dummy() {
    super.lcmObj = new Jlcm("LCM", "dummy_LCM");
    super.lcmObj.put("key", new float[]{1.0f});
  }
  protected void makeText() {
  }
}
