package jargon;

/** Exception thrown by the native application behind the Jargon
 * Operator <tt>exec()</tt> method.
 */
public class JargonException extends Exception {
  private static final long serialVersionUID = 5L;
  private String str;
  JargonException(String str) {
    this.str = str;
  }
  /** overrides the <tt>toString()</tt> method in Throwable.
   */
  public String toString() {
    return "JargonException: " + str;
  }
}
