package jargon;

import java.io.Serializable;
/** Interface implemented by the Jargon procedures.
 */
public interface ProcedureIntf extends Serializable {
  /** execute the procedure. This class is public as required by the
   * Remote Method Invocation (RMI) mechanism but should not be called
   * directly. Use the <tt>run()</tt> method instead.
   * @return an Operator object produced by the procedure.
   */
  Operator exec() throws JargonException;
}
