package jargon;

import java.rmi.*;
/** Interface implemented by the remote calculation engine.
 */
public interface ProcServerIntf extends Remote {
  /** execute a remote calculation on a server
   * @return an Operator object produced by the remote calculation.
   */
  Operator executeProc(ProcedureIntf t) throws RemoteException, JargonException;
}
