package texmaker;

import com.sun.javadoc.*;
import java.io.*;
import java.util.*;
import java.awt.*;

/**
 * An instance is a specific extra section of the document.
 * @see TexDoclet
 * @author F. Serin
 * @version 1.2, June 14, 2000.
 */
class XtraChapter extends TexDoc {
/**
 * Creation of an extra section.
 * @param outFile file where this section is included
 * @param doc source of the comments
 * @param title of this section
 */
XtraChapter(PrintWriter outFile, Doc doc, String title){
	this.outFile=outFile;
	if ((doc.inlineTags()).length>0){
		StringBuffer chap=new StringBuffer("\\section{");
		chap.append(title);
		chap.append("}");
		print(chap.toString());
		printComment(doc);
		}
	}

} // end of XtraChapter class declaration
